#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-3Fynch3Ok7b7xMvEapRvtv
key: crypto-pubkey-0.2.8-3Fynch3Ok7b7xMvEapRvtv
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 7b32c660dfa502e6de37e5f7029a99cb
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-3Fynch3Ok7b7xMvEapRvtv
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL
    crypto-random-0.0.9-FpYk521uadYFZpdh9aBzLV
    crypto-pubkey-types-0.4.3-KUH8MWbQyCZ9OvZOmZ6PcK
    cryptohash-0.11.9-GgoD11HjYI34HNWVAuNzT1
    crypto-numbers-0.2.7-I6sZNaoaWHP7whHAOCV63N
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL=24171e0673b6d1cdc40be4d3c9a33c0e
             crypto-random-0.0.9-FpYk521uadYFZpdh9aBzLV=3d23647e6953c9ca5dacf0bec47921e1
             crypto-pubkey-types-0.4.3-KUH8MWbQyCZ9OvZOmZ6PcK=4ea9fccd4e88e7e17c6f5afda150751b
             cryptohash-0.11.9-GgoD11HjYI34HNWVAuNzT1=80f455eb6a6e323af1946a9b005407f1
             crypto-numbers-0.2.7-I6sZNaoaWHP7whHAOCV63N=b3c33aa1284eb34c55fc031eb3ea3ae4
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

